Bug 143942 - FILEOPEN XLSX Label taking value from cells not imported
Summary: FILEOPEN XLSX Label taking value from cells not imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: filter:xlsx
Depends on: 103863
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2021-08-18 18:35 UTC by Aron Budea
Modified: 2021-10-27 12:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample XLSX with scatter chart (13.38 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-08-18 18:35 UTC, Aron Budea
Details
Screenshot in Excel (52.13 KB, image/png)
2021-08-18 18:35 UTC, Aron Budea
Details
The example file in Calc and the setting in Excel (117.41 KB, image/png)
2021-08-19 09:27 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-08-18 18:35:07 UTC
Created attachment 174397 [details]
Sample XLSX with scatter chart

In Excel one can set the label option "Value From  Cells", and select a cell range. This isn't supported in Calc, and thus isn't imported: the individual points have no label in Calc.

This bug report is about the XLSX import part, bug 103863 is open on the general feature.
Comment 1 Aron Budea 2021-08-18 18:35:38 UTC
Created attachment 174398 [details]
Screenshot in Excel
Comment 2 NISZ LibreOffice Team 2021-08-19 09:27:05 UTC
Created attachment 174404 [details]
The example file in Calc and the setting in Excel
Comment 3 NISZ LibreOffice Team 2021-08-19 13:07:54 UTC
See also bug 138436 with a PPTX sample file.
Comment 4 Commit Notification 2021-09-01 07:15:24 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9d8324524bdcd1244cd6e9d93b063b981d47c9be

tdf#143942: oox: import/export labels from <c15:datalabelsRange>

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.